Enhanced Hardware Support - Finalize Naming

Bug #1842774 reported by bugproxy on 2019-09-05
26
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Frank Heimes
linux (Ubuntu)
High
Canonical Kernel Team
Bionic
High
Canonical Kernel Team
Disco
High
Canonical Kernel Team
qemu (Ubuntu)
Medium
Unassigned
Bionic
Wishlist
Unassigned
Disco
Wishlist
Unassigned

Bug Description

@SRU Team: For SRU template of Qemu please scroll down ...

SRU Justification Kernel:
=========================

[Impact]

* Add / activate support for IBM z15 and LinuxONE III systems

[Fix]

* a0e2251132995b962281aa80ab54a9288f9e0b6b a0e2251 "s390: add support for IBM z15 machines"

[Test Case]

* check and verify cpuinfo - regression testing is possible by Canonical/me

* functional testing is currently only doable by IBM

[Regression Potential]

* There is regression potential with having new code in and the flags added/active

* but the code changes are pretty straight forward, just add config, cases and defs

* and are not used on existing systems, just on the new generation that is not yet out in the field

[Other Info]

* SRU of LP 1842916 merged with (this) LP 1842774

---

SRU Template for qemu as the impact/scope is different
======================================================

[Impact]

* Update naming of the new HW Generation

* Now that the systems are released people might look for types matching
  the name and no one really knows "IBM 8561 GA1".

* Help users to identify the cpu type by backporting the fix that sets the
  defined name.

[Fix]

* https://git.qemu.org/?p=qemu.git;a=commit;h=7505deca

[Test Case]

* qemu-system-s390x -cpu ? | grep gen15
s390 gen15a-base IBM 8561 GA1 (static, migration-safe)
s390 gen15a IBM 8561 GA1 (migration-safe)
s390 gen15b-base IBM 8562 GA1 (static, migration-safe)
s390 gen15b IBM 8562 GA1 (migration-safe)

* With the fix gen15a should be called "IBM z15 GA1"

[Regression Potential]

* The only thing changing (for qemu) are some texts e.g. when showing CPU
  types. The cpu type itself that is used in e.g. scripts / commands will
  not change. Therefore the regression risk of the qemu change is next to
  none. The only I can think of is people grepping for the old ID in text
  output, but that seems theoretical and not important.

[Other Info]

* For an SRU perspective this is "nice to have" we will only do this
  "along" other higher impact SRUs.

__________

This feature request will provide the final naming of the next machine

Related branches

bugproxy (bugproxy) on 2019-09-05
tags: added: architecture-s39064 bugnameltc-181268 severity-high targetmilestone-inin1910
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Andrew Cloke (andrew-cloke) wrote :

Marking as "Incomplete" while awaiting the final naming.

Changed in ubuntu-z-systems:
importance: Undecided → High
status: New → Incomplete
assignee: nobody → Andrew Cloke (andrew-cloke)
Frank Heimes (fheimes) wrote :

@IBM: Does it affect the kernel only, or also other packages (like for example qemu) ?

Frank Heimes (fheimes) wrote :

And btw. I think it will not be limited to eoan/19.10, but will also affect older Ubuntu releases (probably all the way down to xenial).

Frank Heimes (fheimes) on 2019-09-09
Changed in ubuntu-z-systems:
assignee: Andrew Cloke (andrew-cloke) → Frank Heimes (frank-heimes)

------- Comment From <email address hidden> 2019-09-10 05:41 EDT-------
@CAN: Yes, a qemu patch is also required. For previous distros another LP is available.: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1842916

Frank Heimes (fheimes) on 2019-09-10
Changed in linux (Ubuntu):
status: New → Incomplete
Changed in qemu:
status: New → Incomplete
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-09-18 07:58 EDT-------
See https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=a0e2251132995b962281aa80ab54a9288f9e0b6b

commit a0e2251132995b962281aa80ab54a9288f9e0b6b
Author: Martin Schwidefsky <email address hidden>
Date: Wed Feb 6 08:22:11 2019 +0100

s390: add support for IBM z15 machines

Add detection for machine types 0x8562 and 8x8561 and set the ELF platform
name to z15. Add the miscellaneous-instruction-extension 3 facility to
the list of facilities for z15.

And allow to generate code that only runs on a z15 machine.

Reviewed-by: Christian Borntraeger <email address hidden>
Signed-off-by: Martin Schwidefsky <email address hidden>
Signed-off-by: Heiko Carstens <email address hidden>

for the kernel upstream commit. Applies cleanly to git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/eoan

Frank Heimes (fheimes) on 2019-09-19
Changed in linux (Ubuntu):
status: Incomplete → New
Changed in ubuntu-z-systems:
status: Incomplete → Triaged
Manoj Iyer (manjo) on 2019-09-20
Changed in linux (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Canonical Kernel Team (canonical-kernel-team)
importance: Undecided → High
Changed in linux (Ubuntu Bionic):
importance: Undecided → Critical
importance: Critical → High
Changed in linux (Ubuntu Disco):
importance: Undecided → High
Changed in linux (Ubuntu Bionic):
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Changed in linux (Ubuntu Disco):
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Frank Heimes (fheimes) on 2019-09-20
summary: - [19.10 FEAT] Enhanced Hardware Support - Finalize Naming
+ Enhanced Hardware Support - Finalize Naming
Frank Heimes (fheimes) wrote :
description: updated
Changed in linux (Ubuntu Disco):
status: New → In Progress
Changed in linux (Ubuntu Bionic):
status: New → In Progress
Changed in linux (Ubuntu):
status: New → In Progress
Frank Heimes (fheimes) on 2019-09-23
information type: Private → Public
Thomas Huth (th-huth) wrote :

Patch a0e2251132995b9 is a kernel patch, thus this is certainly not something we need to track in the upstream QEMU bugtracker.

no longer affects: qemu
Frank Heimes (fheimes) on 2019-09-24
Changed in ubuntu-z-systems:
status: Triaged → In Progress
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-09-24 02:28 EDT-------
The QEMU patch is

commit 7505deca0bfa859136ec6419dbafc504f22fcac2
s390x/cpumodel: Add the z15 name to the description of gen15a

Hi,
since [1] doesn't change the identifier (it stays gen15a), so the only thing that is changing is the description of e.g. seen here:
$ qemu-system-s390x -cpu ? | grep gen15
s390 gen15a-base IBM 8561 GA1 (static, migration-safe)
s390 gen15a IBM 8561 GA1 (migration-safe)
s390 gen15b-base IBM 8562 GA1 (static, migration-safe)
s390 gen15b IBM 8562 GA1 (migration-safe)

As far as I see it has no functional impact - is that correct?

Under that assumption I'm considering this for Eoan as prio-medium (as it is still open), and for SRUs as whishlist.
It might be added there "along" some other SRU later, but isn't reasonable on its own triggering downloads for millions of users - if you don't agree please outline why we'd need this any sooner there.

FYI: Please note that changing the actual type "gen15a" to something else is even less of an option at least for SRUs as people could use it already and the update would break them.

[1]: https://git.qemu.org/?p=qemu.git;a=commit;h=7505deca

Changed in qemu (Ubuntu Disco):
status: New → Triaged
importance: Undecided → Wishlist
Changed in qemu (Ubuntu Bionic):
importance: Undecided → Wishlist
status: New → Triaged
Changed in qemu (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
description: updated

Test build [1] seems ok and MP opened [2].
But the change is trivial so that should be quick ...

[1]: https://launchpad.net/~paelzer/+archive/ubuntu/fix-1842774-z15-model-name-eoan
[2]: https://code.launchpad.net/~paelzer/ubuntu/+source/qemu/+git/qemu/+merge/373118

In fact while I was waiting to submit this the MP got reviewed.
Uploaded to Eoan ...

But since beta freeze is in place acceptance there might have to wait a few days.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-09-24 09:11 EDT-------
Yes this only updates the description. The name gen15a can not be changed without hurting migration compatibility.
We are looking into adding an alias for cpu names, but this would be a future change.
With that medium priority is fine.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Disco):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qemu - 1:4.0+dfsg-0ubuntu9

---------------
qemu (1:4.0+dfsg-0ubuntu9) eoan; urgency=medium

  * d/p/lp-1842774-s390x-cpumodel-Add-the-z15-name-to-the-description-o.patch:
    update the z15 model name (LP: #1842774)

 -- Christian Ehrhardt <email address hidden> Tue, 24 Sep 2019 11:42:58 +0200

Changed in qemu (Ubuntu):
status: In Progress → Fix Released
Frank Heimes (fheimes) on 2019-09-30
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-10-04 03:38 EDT-------
> This bug was fixed in the package qemu - 1:4.0+dfsg-0ubuntu9
>
> ---------------
> qemu (1:4.0+dfsg-0ubuntu9) eoan; urgency=medium
>
> * d/p/lp-1842774-s390x-cpumodel-Add-the-z15-name-to-the-description-o.patch:
> update the z15 model name (LP: #1842774)
>
> -- Christian Ehrhardt <email address hidden> Tue, 24 Sep 2019

QEMU part verified on eoan-proposed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco
Frank Heimes (fheimes) wrote :

Verification (more a regression testing) done on disco.

tags: added: verification-done-disco
removed: verification-needed-disco
Frank Heimes (fheimes) wrote :

And verification (more a regression testing) done on bionic, too.

tags: added: verification-done-bionic
removed: verification-needed-bionic
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-10-07 08:11 EDT-------
Functionality successfully tested fine on disco-proposed 5.0.0-32-generic #34-Ubuntu SMP Wed Oct 2 02:06:00 UTC 2019 s390x s390x s390x GNU/Linux

I can see z15 in the aux vector:

# gdb --quiet ls
Reading symbols from ls...
(No debugging symbols found in ls)
(gdb) start
Temporary breakpoint 1 at 0x45ae
Starting program: /usr/bin/ls

Temporary breakpoint 1, 0x000002aa000045ae in main ()
(gdb) info auxv
33 AT_SYSINFO_EHDR System-supplied DSO's ELF header 0x3fffdffe000
16 AT_HWCAP Machine-dependent CPU capability hints 0x7ffff
6 AT_PAGESZ System page size 4096
17 AT_CLKTCK Frequency of times() 100
3 AT_PHDR Program headers for program 0x2aa00000040
4 AT_PHENT Size of program header entry 56
5 AT_PHNUM Number of program headers 9
7 AT_BASE Base address of interpreter 0x3fffdf80000
8 AT_FLAGS Flags 0x0
9 AT_ENTRY Entry point of program 0x2aa00006320
11 AT_UID Real user ID 0
12 AT_EUID Effective user ID 0
13 AT_GID Real group ID 0
14 AT_EGID Effective group ID 0
23 AT_SECURE Boolean, was exec setuid-like? 0
25 AT_RANDOM Address of 16 random bytes 0x3fffffff73c
31 AT_EXECFN File name of executable 0x3ffffffffec "/usr/bin/ls"
15 AT_PLATFORM String identifying platform 0x3fffffff74c "z15"
0 AT_NULL End of vector 0x0

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-10-07 08:31 EDT-------
Same test (auxv) also works with bionic-proposed.
Linux t35lp61 4.15.0-66-generic #75-Ubuntu SMP Tue Oct 1 05:22:41 UTC 2019 s390x s390x s390x GNU/Linux

Launchpad Janitor (janitor) wrote :
Download full text (7.6 KiB)

This bug was fixed in the package linux - 5.3.0-17.18

---------------
linux (5.3.0-17.18) eoan; urgency=medium

  * eoan/linux: 5.3.0-17.18 -proposed tracker (LP: #1846641)

  * CVE-2019-17056
    - nfc: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-17055
    - mISDN: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-17054
    - appletalk: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-17053
    - ieee802154: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-17052
    - ax25: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-15098
    - ath6kl: fix a NULL-ptr-deref bug in ath6kl_usb_alloc_urb_from_pipe()

  * xHCI on AMD Stoney Ridge cannot detect USB 2.0 or 1.1 devices.
    (LP: #1846470)
    - x86/PCI: Avoid AMD FCH XHCI USB PME# from D0 defect

  * Re-enable linux-libc-dev build on i386 (LP: #1846508)
    - [Packaging] Build only linux-libc-dev for i386
    - [Debian] final-checks -- ignore archtictures with no binaries

  * arm64: loop on boot after installing linux-generic-hwe-18.04-edge/bionic-
    proposed (LP: #1845820)
    - [Config] Disable CONFIG_ARM_SMMU_DISABLE_BYPASS_BY_DEFAULT

  * Revert ESE DASD discard support (LP: #1846219)
    - SAUCE: Revert "s390/dasd: Add discard support for ESE volumes"

  * Miscellaneous Ubuntu changes
    - update dkms package versions

linux (5.3.0-16.17) eoan; urgency=medium

  * eoan/linux: 5.3.0-16.17 -proposed tracker (LP: #1846204)

  * zfs fails to build on s390x with debug symbols enabled (LP: #1846143)
    - SAUCE: s390: Mark atomic const ops always inline

linux (5.3.0-15.16) eoan; urgency=medium

  * eoan/linux: 5.3.0-15.16 -proposed tracker (LP: #1845987)

  * Drop i386 build for 19.10 (LP: #1845714)
    - [Packaging] Remove x32 arch references from control files
    - [Debian] final-checks -- Get arch list from debian/control

  * ZFS kernel modules lack debug symbols (LP: #1840704)
    - [Debian] Fix conditional for setting zfs debug package path

  * Use pyhon3-sphinx instead of python-sphinx for building html docs
    (LP: #1845808)
    - [Packaging] Update sphinx build dependencies to python3 packages

  * Kernel panic with 19.10 beta image (LP: #1845454)
    - efi/tpm: Don't access event->count when it isn't mapped.
    - efi/tpm: don't traverse an event log with no events
    - efi/tpm: only set efi_tpm_final_log_size after successful event log parsing

linux (5.3.0-14.15) eoan; urgency=medium

  * eoan/linux: 5.3.0-14.15 -proposed tracker (LP: #1845728)

  * Drop i386 build for 19.10 (LP: #1845714)
    - [Debian] Remove support for producing i386 kernels
    - [Debian] Don't use CROSS_COMPILE for i386 configs

  * udevadm trigger will fail when trying to add /sys/devices/vio/
    (LP: #1845572)
    - SAUCE: powerpc/vio: drop bus_type from parent device

  * Trying to online dasd drive results in invalid input/output from the kernel
    on z/VM (LP: #1845323)
    - SAUCE: s390/dasd: Fix error handling during online processing

  * intel-lpss driver conflicts with write-combining MTRR region (LP: #1845584)
    - SAUCE: mfd: intel-lpss: add quirk for Dell XPS 13 7390 2-in-1

  * Support Hi1620 zip hw accelerator (LP: #1845355)
    - [Config] Enable HiSilicon QM/ZIP as module...

Read more...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released

@SRU Team:
As outlined above this is important for IBM to get product names right everywhere. But at the same time this is "only" a change in a description which doesn't qualify an SRU on its own. So we agreed to only upload it once there is another SRU.

I now have an Qemu SRU for Bionic that I want to group this with, this will make the Disco SRU go without any other changes to not have Bionic->Disco->Eoan switch back and forth. Therefore I'll upload it for Disco as well when doing so.

description: updated
Launchpad Janitor (janitor) wrote :
Download full text (22.6 KiB)

This bug was fixed in the package linux - 5.0.0-32.34

---------------
linux (5.0.0-32.34) disco; urgency=medium

  * disco/linux: 5.0.0-32.34 -proposed tracker (LP: #1846097)

  * CVE-2019-14814 // CVE-2019-14815 // CVE-2019-14816
    - mwifiex: Fix three heap overflow at parsing element in cfg80211_ap_settings

  * CVE-2019-15505
    - media: technisat-usb2: break out of loop at end of buffer

  * CVE-2019-2181
    - binder: check for overflow when alloc for security context

  * Support Hi1620 zip hw accelerator (LP: #1845355)
    - [Config] Enable HiSilicon QM/ZIP as modules
    - crypto: hisilicon - add queue management driver for HiSilicon QM module
    - crypto: hisilicon - add hardware SGL support
    - crypto: hisilicon - add HiSilicon ZIP accelerator support
    - crypto: hisilicon - add SRIOV support for ZIP
    - Documentation: Add debugfs doc for hisi_zip
    - crypto: hisilicon - add debugfs for ZIP and QM
    - MAINTAINERS: add maintainer for HiSilicon QM and ZIP controller driver
    - crypto: hisilicon - fix kbuild warnings
    - crypto: hisilicon - add dependency for CRYPTO_DEV_HISI_ZIP
    - crypto: hisilicon - init curr_sgl_dma to fix compile warning
    - crypto: hisilicon - add missing single_release
    - crypto: hisilicon - fix error handle in hisi_zip_create_req_q
    - crypto: hisilicon - Fix warning on printing %p with dma_addr_t
    - crypto: hisilicon - Fix return value check in hisi_zip_acompress()
    - crypto: hisilicon - avoid unused function warning

  * xfrm interface: several kernel panic (LP: #1836261)
    - xfrm interface: fix memory leak on creation
    - xfrm interface: avoid corruption on changelink
    - xfrm interface: ifname may be wrong in logs
    - xfrm interface: fix list corruption for x-netns
    - xfrm interface: fix management of phydev

  * shiftfs: drop entries from cache on unlink (LP: #1841977)
    - SAUCE: shiftfs: fix buggy unlink logic

  * shiftfs: mark kmem_cache as reclaimable (LP: #1842059)
    - SAUCE: shiftfs: mark slab objects SLAB_RECLAIM_ACCOUNT

  * Suspend to RAM(S3) does not wake up for latest megaraid and mpt3sas
    adapters(SAS3.5 onwards) (LP: #1838751)
    - PCI: Restore Resizable BAR size bits correctly for 1MB BARs

  * No sound inputs from the external microphone and headset on a Dell machine
    (LP: #1842265)
    - ALSA: hda - Expand pin_match function to match upcoming new tbls
    - ALSA: hda - Define a fallback_pin_fixup_tbl for alc269 family

  * Add -fcf-protection=none when using retpoline flags (LP: #1843291)
    - SAUCE: kbuild: add -fcf-protection=none when using retpoline flags

  * Disco update: upstream stable patchset 2019-09-25 (LP: #1845390)
    - bridge/mdb: remove wrong use of NLM_F_MULTI
    - cdc_ether: fix rndis support for Mediatek based smartphones
    - ipv6: Fix the link time qualifier of 'ping_v6_proc_exit_net()'
    - isdn/capi: check message length in capi_write()
    - ixgbe: Fix secpath usage for IPsec TX offload.
    - net: Fix null de-reference of device refcount
    - net: gso: Fix skb_segment splat when splitting gso_size mangled skb having
      linear-headed frag_list
    - net: phylink: Fix flow control resolution
    - net: s...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (23.3 KiB)

This bug was fixed in the package linux - 4.15.0-66.75

---------------
linux (4.15.0-66.75) bionic; urgency=medium

  * bionic/linux: 4.15.0-66.75 -proposed tracker (LP: #1846131)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * CVE-2018-21008
    - rsi: add fix for crash during assertions

  * ipv6: fix neighbour resolution with raw socket (LP: #1834465)
    - ipv6: constify rt6_nexthop()
    - ipv6: fix neighbour resolution with raw socket

  * run_netsocktests from net in ubuntu_kernel_selftests failed with X-4.15
    (LP: #1842023)
    - SAUCE: selftests: net: replace AF_MAX with INT_MAX in socket.c

  * No sound inputs from the external microphone and headset on a Dell machine
    (LP: #1842265)
    - ALSA: hda - Expand pin_match function to match upcoming new tbls
    - ALSA: hda - Define a fallback_pin_fixup_tbl for alc269 family

  * Add -fcf-protection=none when using retpoline flags (LP: #1843291)
    - SAUCE: kbuild: add -fcf-protection=none when using retpoline flags

  * Enhanced Hardware Support - Finalize Naming (LP: #1842774)
    - s390: add support for IBM z15 machines

  * Bionic update: upstream stable patchset 2019-09-24 (LP: #1845266)
    - bridge/mdb: remove wrong use of NLM_F_MULTI
    - cdc_ether: fix rndis support for Mediatek based smartphones
    - ipv6: Fix the link time qualifier of 'ping_v6_proc_exit_net()'
    - isdn/capi: check message length in capi_write()
    - net: Fix null de-reference of device refcount
    - net: gso: Fix skb_segment splat when splitting gso_size mangled skb having
      linear-headed frag_list
    - net: phylink: Fix flow control resolution
    - sch_hhf: ensure quantum and hhf_non_hh_weight are non-zero
    - sctp: Fix the link time qualifier of 'sctp_ctrlsock_exit()'
    - sctp: use transport pf_retrans in sctp_do_8_2_transport_strike
    - tcp: fix tcp_ecn_withdraw_cwr() to clear TCP_ECN_QUEUE_CWR
    - tipc: add NULL pointer check before calling kfree_rcu
    - tun: fix use-after-free when register netdev failed
    - btrfs: compression: add helper for type to string conversion
    - btrfs: correctly validate compression type
    - Revert "MIPS: SiByte: Enable swiotlb for SWARM, LittleSur and BigSur"
    - gpiolib: acpi: Add gpiolib_acpi_run_edge_events_on_boot option and blacklist
    - gpio: fix line flag validation in linehandle_create
    - gpio: fix line flag validation in lineevent_create
    - Btrfs: fix assertion failure during fsync and use of stale transaction
    - genirq: Prevent NULL pointer dereference in resend_irqs()
    - KVM: s390: Do not leak kernel stack data in the KVM_S390_INTERRUPT ioctl
    - KVM: x86: work around leak of uninitialized stack contents
    - KVM: nVMX: handle page fault in vmread
    - MIPS: VDSO: Prevent use of smp_processor_id()
    - MIPS: VDSO: Use same -m%-float cflag as the kernel proper
    - powerpc: Add barrier_nospec to raw_copy_in_user()
    - drm/meson: Add support for XBGR8888 & ABGR8888 formats
    - clk: rockchip: Don't yell about bad mmc phases when getting
    - mtd: rawnand: mtk: Fix wrongly assigned OOB buffer pointer issue
    - PCI: Always allow probing with driver_override
    - ubifs: Cor...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released

Uploaded the Disco version along the upload to Bionic for SRU Team review and acceptance into proposed.

Frank Heimes (fheimes) on 2019-10-28
Changed in qemu (Ubuntu Disco):
status: Triaged → In Progress
Changed in qemu (Ubuntu Bionic):
status: Triaged → In Progress

All autopkgtests for the newly accepted linux-bluefield (5.0.0-1003.12) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

fsprotect/unknown (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#linux-bluefield

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

------- Comment From <email address hidden> 2019-11-04 11:27 EDT-------
*** Bug 181316 has been marked as a duplicate of this bug. ***

All autopkgtests for the newly accepted linux-gcp-5.3 (5.3.0-1008.9~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

linux-gcp-5.3/unknown (amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#linux-gcp-5.3

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

This got surpassed by a security upload while waiting for SRU Team.
I have uploaded rebased versions to -unapproved.

Hello bugproxy, or anyone else affected,

Accepted qemu into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/qemu/1:3.1+dfsg-2ubuntu3.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in qemu (Ubuntu Disco):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-disco
removed: verification-done-disco
Timo Aaltonen (tjaalton) wrote :

Hello bugproxy, or anyone else affected,

Accepted qemu into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/qemu/1:2.11+dfsg-1ubuntu7.21 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in qemu (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
removed: verification-done-bionic
Frank Heimes (fheimes) on 2019-11-22
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed

All autopkgtests for the newly accepted qemu (1:2.11+dfsg-1ubuntu7.21) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

vagrant-mutate/1.2.0-3 (armhf)
systemd/237-3ubuntu10.31 (i386)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#qemu

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

------- Comment From <email address hidden> 2019-11-22 09:45 EDT-------
bionic-proposed looks good.

tags: added: verification-done-bionic
removed: verification-needed-bionic

All autopkgtests for the newly accepted qemu (1:3.1+dfsg-2ubuntu3.7) for disco have finished running.
The following regressions have been reported in tests triggered by the package:

cinder/2:14.0.1-0ubuntu1 (amd64, s390x, i386, armhf, arm64, ppc64el)
systemd/240-6ubuntu5.7 (amd64)
nova/2:19.0.1-0ubuntu2.1 (armhf)
ubuntu-image/1.7+19.04ubuntu1 (s390x)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/disco/update_excuses.html#qemu

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

------- Comment From <email address hidden> 2019-11-22 11:44 EDT-------
disco is also good.

tags: added: verification-done verification-done-disco
removed: verification-needed verification-needed-disco

The verification of the Stable Release Update for qemu has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qemu - 1:2.11+dfsg-1ubuntu7.21

---------------
qemu (1:2.11+dfsg-1ubuntu7.21) bionic; urgency=medium

  * d/p/lp-1842774-s390x-cpumodel-Add-the-z15-name-to-the-description-o.patch:
    update the z15 model name (LP: #1842774)
  * d/p/u/lp-1847948-*: allow MSIX BAR mapping on VFIO in general and use that
    instead of emulation on ppc64 increasing performance of e.g. NVME
    passthrough (LP: #1847948)

 -- Christian Ehrhardt <email address hidden> Tue, 15 Oct 2019 11:23:23 +0200

Changed in qemu (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qemu - 1:3.1+dfsg-2ubuntu3.7

---------------
qemu (1:3.1+dfsg-2ubuntu3.7) disco; urgency=medium

  * d/p/lp-1842774-s390x-cpumodel-Add-the-z15-name-to-the-description-o.patch:
    update the z15 model name (LP: #1842774)

 -- Christian Ehrhardt <email address hidden> Tue, 15 Oct 2019 11:37:44 +0200

Changed in qemu (Ubuntu Disco):
status: Fix Committed → Fix Released
Frank Heimes (fheimes) on 2019-12-02
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released

------- Comment From <email address hidden> 2019-12-09 06:53 EDT-------
IBM Bugzilla status -> closed, Fix Released with all requested distros

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers